Create customer transaction
curl --request POST \
--url https://api.bizzyco.ai/v1/customers/{id}/transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"businessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": "<string>",
"currency": "<string>",
"status": "<string>",
"type": "<string>",
"description": "<string>",
"transactionDate": "2023-11-07T05:31:56Z"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
businessId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
amount: '<string>',
currency: '<string>',
status: '<string>',
type: '<string>',
description: '<string>',
transactionDate: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.bizzyco.ai/v1/customers/{id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.bizzyco.ai/v1/customers/{id}/transactions"
payload = {
"businessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": "<string>",
"currency": "<string>",
"status": "<string>",
"type": "<string>",
"description": "<string>",
"transactionDate": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bizzyco.ai/v1/customers/{id}/transactions"
payload := strings.NewReader("{\n \"businessId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"amount\": \"<string>\",\n \"currency\": \"<string>\",\n \"status\": \"<string>\",\n \"type\": \"<string>\",\n \"description\": \"<string>\",\n \"transactionDate\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"businessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": "<string>",
"currency": "<string>",
"status": "<string>",
"type": "<string>",
"description": "<string>",
"transactionDate": "2023-11-07T05:31:56Z"
},
"meta": {
"pagination": {
"limit": 123,
"offset": 123,
"hasMore": true,
"total": 123
}
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Customers
Create customer transaction
Create a new transaction for a customer
POST
/
v1
/
customers
/
{id}
/
transactions
Create customer transaction
curl --request POST \
--url https://api.bizzyco.ai/v1/customers/{id}/transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"businessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": "<string>",
"currency": "<string>",
"status": "<string>",
"type": "<string>",
"description": "<string>",
"transactionDate": "2023-11-07T05:31:56Z"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
businessId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
amount: '<string>',
currency: '<string>',
status: '<string>',
type: '<string>',
description: '<string>',
transactionDate: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.bizzyco.ai/v1/customers/{id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.bizzyco.ai/v1/customers/{id}/transactions"
payload = {
"businessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": "<string>",
"currency": "<string>",
"status": "<string>",
"type": "<string>",
"description": "<string>",
"transactionDate": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bizzyco.ai/v1/customers/{id}/transactions"
payload := strings.NewReader("{\n \"businessId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"amount\": \"<string>\",\n \"currency\": \"<string>\",\n \"status\": \"<string>\",\n \"type\": \"<string>\",\n \"description\": \"<string>\",\n \"transactionDate\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"businessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": "<string>",
"currency": "<string>",
"status": "<string>",
"type": "<string>",
"description": "<string>",
"transactionDate": "2023-11-07T05:31:56Z"
},
"meta": {
"pagination": {
"limit": 123,
"offset": 123,
"hasMore": true,
"total": 123
}
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Authorizations
API key authentication via Bearer token
Path Parameters
Customer UUID
Example:
"123e4567-e89b-12d3-a456-426614174000"
Body
application/json
Last modified on August 9, 2026
⌘I